package sun.util.locale;

import java.util.HashMap;
import java.util.Map;

final class LocaleEquivalentMaps
{
    static final Map<String, String> singleEquivMap;
    static final Map<String, String[]> multiEquivsMap;
    static final Map<String, String> regionVariantEquivMap;
    
    LocaleEquivalentMaps() {
    }
    
    static {
        singleEquivMap = new HashMap();
        multiEquivsMap = new HashMap();
        regionVariantEquivMap = new HashMap();
        LocaleEquivalentMaps.singleEquivMap.put("aam", "aas");
        LocaleEquivalentMaps.singleEquivMap.put("aas", "aam");
        LocaleEquivalentMaps.singleEquivMap.put("acn", "xia");
        LocaleEquivalentMaps.singleEquivMap.put("adp", "dz");
        LocaleEquivalentMaps.singleEquivMap.put("adx", "pcr");
        LocaleEquivalentMaps.singleEquivMap.put("ami", "i-ami");
        LocaleEquivalentMaps.singleEquivMap.put("aog", "myd");
        LocaleEquivalentMaps.singleEquivMap.put("art-lojban", "jbo");
        LocaleEquivalentMaps.singleEquivMap.put("asd", "snz");
        LocaleEquivalentMaps.singleEquivMap.put("ase", "sgn-us");
        LocaleEquivalentMaps.singleEquivMap.put("aue", "ktz");
        LocaleEquivalentMaps.singleEquivMap.put("ayx", "nun");
        LocaleEquivalentMaps.singleEquivMap.put("bcg", "bgm");
        LocaleEquivalentMaps.singleEquivMap.put("bfi", "sgn-gb");
        LocaleEquivalentMaps.singleEquivMap.put("bfy", "ppa");
        LocaleEquivalentMaps.singleEquivMap.put("bgm", "bcg");
        LocaleEquivalentMaps.singleEquivMap.put("bjd", "drl");
        LocaleEquivalentMaps.singleEquivMap.put("bmf", "krm");
        LocaleEquivalentMaps.singleEquivMap.put("bnn", "i-bnn");
        LocaleEquivalentMaps.singleEquivMap.put("bzs", "sgn-br");
        LocaleEquivalentMaps.singleEquivMap.put("cax", "xba");
        LocaleEquivalentMaps.singleEquivMap.put("cir", "meg");
        LocaleEquivalentMaps.singleEquivMap.put("cjr", "mom");
        LocaleEquivalentMaps.singleEquivMap.put("cka", "cmr");
        LocaleEquivalentMaps.singleEquivMap.put("cmk", "xch");
        LocaleEquivalentMaps.singleEquivMap.put("cmn-hans", "zh-cmn-hans");
        LocaleEquivalentMaps.singleEquivMap.put("cmn-hant", "zh-cmn-hant");
        LocaleEquivalentMaps.singleEquivMap.put("cmr", "cka");
        LocaleEquivalentMaps.singleEquivMap.put("cqu", "quh");
        LocaleEquivalentMaps.singleEquivMap.put("csn", "sgn-co");
        LocaleEquivalentMaps.singleEquivMap.put("dev", "gav");
        LocaleEquivalentMaps.singleEquivMap.put("dif", "dit");
        LocaleEquivalentMaps.singleEquivMap.put("dit", "dif");
        LocaleEquivalentMaps.singleEquivMap.put("drh", "khk");
        LocaleEquivalentMaps.singleEquivMap.put("drl", "bjd");
        LocaleEquivalentMaps.singleEquivMap.put("dse", "sgn-nl");
        LocaleEquivalentMaps.singleEquivMap.put("dsl", "sgn-dk");
        LocaleEquivalentMaps.singleEquivMap.put("duz", "guv");
        LocaleEquivalentMaps.singleEquivMap.put("dz", "adp");
        LocaleEquivalentMaps.singleEquivMap.put("ema", "uok");
        LocaleEquivalentMaps.singleEquivMap.put("en-gb-oed", "en-gb-oxendict");
        LocaleEquivalentMaps.singleEquivMap.put("en-gb-oxendict", "en-gb-oed");
        LocaleEquivalentMaps.singleEquivMap.put("fsl", "sgn-fr");
        LocaleEquivalentMaps.singleEquivMap.put("gal", "ilw");
        LocaleEquivalentMaps.singleEquivMap.put("gan", "zh-gan");
        LocaleEquivalentMaps.singleEquivMap.put("gav", "dev");
        LocaleEquivalentMaps.singleEquivMap.put("gdj", "kvs");
        LocaleEquivalentMaps.singleEquivMap.put("ggn", "gvr");
        LocaleEquivalentMaps.singleEquivMap.put("gsg", "sgn-de");
        LocaleEquivalentMaps.singleEquivMap.put("gss", "sgn-gr");
        LocaleEquivalentMaps.singleEquivMap.put("gti", "nyc");
        LocaleEquivalentMaps.singleEquivMap.put("guv", "duz");
        LocaleEquivalentMaps.singleEquivMap.put("gvr", "ggn");
        LocaleEquivalentMaps.singleEquivMap.put("he", "iw");
        LocaleEquivalentMaps.singleEquivMap.put("hle", "sca");
        LocaleEquivalentMaps.singleEquivMap.put("hrr", "jal");
        LocaleEquivalentMaps.singleEquivMap.put("hsn", "zh-xiang");
        LocaleEquivalentMaps.singleEquivMap.put("huw", "pmc");
        LocaleEquivalentMaps.singleEquivMap.put("i-ami", "ami");
        LocaleEquivalentMaps.singleEquivMap.put("i-bnn", "bnn");
        LocaleEquivalentMaps.singleEquivMap.put("i-klingon", "tlh");
        LocaleEquivalentMaps.singleEquivMap.put("i-lux", "lb");
        LocaleEquivalentMaps.singleEquivMap.put("i-navajo", "nv");
        LocaleEquivalentMaps.singleEquivMap.put("i-pwn", "pwn");
        LocaleEquivalentMaps.singleEquivMap.put("i-tao", "tao");
        LocaleEquivalentMaps.singleEquivMap.put("i-tay", "tay");
        LocaleEquivalentMaps.singleEquivMap.put("i-tsu", "tsu");
        LocaleEquivalentMaps.singleEquivMap.put("ibi", "opa");
        LocaleEquivalentMaps.singleEquivMap.put("id", "in");
        LocaleEquivalentMaps.singleEquivMap.put("ilw", "gal");
        LocaleEquivalentMaps.singleEquivMap.put("in", "id");
        LocaleEquivalentMaps.singleEquivMap.put("ise", "sgn-it");
        LocaleEquivalentMaps.singleEquivMap.put("isg", "sgn-ie");
        LocaleEquivalentMaps.singleEquivMap.put("iw", "he");
        LocaleEquivalentMaps.singleEquivMap.put("jal", "hrr");
        LocaleEquivalentMaps.singleEquivMap.put("jbo", "art-lojban");
        LocaleEquivalentMaps.singleEquivMap.put("ji", "yi");
        LocaleEquivalentMaps.singleEquivMap.put("jsl", "sgn-jp");
        LocaleEquivalentMaps.singleEquivMap.put("jv", "jw");
        LocaleEquivalentMaps.singleEquivMap.put("jw", "jv");
        LocaleEquivalentMaps.singleEquivMap.put("kak", "tne");
        LocaleEquivalentMaps.singleEquivMap.put("kdz", "ncp");
        LocaleEquivalentMaps.singleEquivMap.put("kgc", "tdf");
        LocaleEquivalentMaps.singleEquivMap.put("kgh", "kml");
        LocaleEquivalentMaps.singleEquivMap.put("khk", "drh");
        LocaleEquivalentMaps.singleEquivMap.put("kml", "kgh");
        LocaleEquivalentMaps.singleEquivMap.put("koj", "kwv");
        LocaleEquivalentMaps.singleEquivMap.put("krm", "bmf");
        LocaleEquivalentMaps.singleEquivMap.put("ktz", "aue");
        LocaleEquivalentMaps.singleEquivMap.put("kvs", "gdj");
        LocaleEquivalentMaps.singleEquivMap.put("kwq", "yam");
        LocaleEquivalentMaps.singleEquivMap.put("kwv", "koj");
        LocaleEquivalentMaps.singleEquivMap.put("kxe", "tvd");
        LocaleEquivalentMaps.singleEquivMap.put("lb", "i-lux");
        LocaleEquivalentMaps.singleEquivMap.put("lcq", "ppr");
        LocaleEquivalentMaps.singleEquivMap.put("lii", "raq");
        LocaleEquivalentMaps.singleEquivMap.put("llo", "ngt");
        LocaleEquivalentMaps.singleEquivMap.put("lmm", "rmx");
        LocaleEquivalentMaps.singleEquivMap.put("lrr", "yma");
        LocaleEquivalentMaps.singleEquivMap.put("meg", "cir");
        LocaleEquivalentMaps.singleEquivMap.put("mfs", "sgn-mx");
        LocaleEquivalentMaps.singleEquivMap.put("mo", "ro");
        LocaleEquivalentMaps.singleEquivMap.put("mom", "cjr");
        LocaleEquivalentMaps.singleEquivMap.put("mtm", "ymt");
        LocaleEquivalentMaps.singleEquivMap.put("myd", "aog");
        LocaleEquivalentMaps.singleEquivMap.put("nad", "xny");
        LocaleEquivalentMaps.singleEquivMap.put("nan", "zh-min-nan");
        LocaleEquivalentMaps.singleEquivMap.put("nb", "no-bok");
        LocaleEquivalentMaps.singleEquivMap.put("nbr", "nns");
        LocaleEquivalentMaps.singleEquivMap.put("ncp", "kdz");
        LocaleEquivalentMaps.singleEquivMap.put("ncs", "sgn-ni");
        LocaleEquivalentMaps.singleEquivMap.put("ngt", "llo");
        LocaleEquivalentMaps.singleEquivMap.put("ngv", "nnx");
        LocaleEquivalentMaps.singleEquivMap.put("nn", "no-nyn");
        LocaleEquivalentMaps.singleEquivMap.put("nns", "nbr");
        LocaleEquivalentMaps.singleEquivMap.put("nnx", "ngv");
        LocaleEquivalentMaps.singleEquivMap.put("no-bok", "nb");
        LocaleEquivalentMaps.singleEquivMap.put("no-nyn", "nn");
        LocaleEquivalentMaps.singleEquivMap.put("nsl", "sgn-no");
        LocaleEquivalentMaps.singleEquivMap.put("nun", "ayx");
        LocaleEquivalentMaps.singleEquivMap.put("nv", "i-navajo");
        LocaleEquivalentMaps.singleEquivMap.put("nyc", "gti");
        LocaleEquivalentMaps.singleEquivMap.put("opa", "ibi");
        LocaleEquivalentMaps.singleEquivMap.put("pcr", "adx");
        LocaleEquivalentMaps.singleEquivMap.put("phr", "pmu");
        LocaleEquivalentMaps.singleEquivMap.put("pmc", "huw");
        LocaleEquivalentMaps.singleEquivMap.put("pmu", "phr");
        LocaleEquivalentMaps.singleEquivMap.put("ppa", "bfy");
        LocaleEquivalentMaps.singleEquivMap.put("ppr", "lcq");
        LocaleEquivalentMaps.singleEquivMap.put("prt", "pry");
        LocaleEquivalentMaps.singleEquivMap.put("pry", "prt");
        LocaleEquivalentMaps.singleEquivMap.put("psr", "sgn-pt");
        LocaleEquivalentMaps.singleEquivMap.put("pub", "puz");
        LocaleEquivalentMaps.singleEquivMap.put("puz", "pub");
        LocaleEquivalentMaps.singleEquivMap.put("pwn", "i-pwn");
        LocaleEquivalentMaps.singleEquivMap.put("quh", "cqu");
        LocaleEquivalentMaps.singleEquivMap.put("raq", "lii");
        LocaleEquivalentMaps.singleEquivMap.put("ras", "tie");
        LocaleEquivalentMaps.singleEquivMap.put("rmx", "lmm");
        LocaleEquivalentMaps.singleEquivMap.put("ro", "mo");
        LocaleEquivalentMaps.singleEquivMap.put("sca", "hle");
        LocaleEquivalentMaps.singleEquivMap.put("sfb", "sgn-be-fr");
        LocaleEquivalentMaps.singleEquivMap.put("sfs", "sgn-za");
        LocaleEquivalentMaps.singleEquivMap.put("sgg", "sgn-ch-de");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-be-fr", "sfb");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-be-nl", "vgt");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-br", "bzs");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-ch-de", "sgg");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-co", "csn");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-de", "gsg");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-dk", "dsl");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-es", "ssp");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-fr", "fsl");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-gb", "bfi");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-gr", "gss");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-ie", "isg");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-it", "ise");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-jp", "jsl");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-mx", "mfs");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-ni", "ncs");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-nl", "dse");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-no", "nsl");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-pt", "psr");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-se", "swl");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-us", "ase");
        LocaleEquivalentMaps.singleEquivMap.put("sgn-za", "sfs");
        LocaleEquivalentMaps.singleEquivMap.put("snz", "asd");
        LocaleEquivalentMaps.singleEquivMap.put("ssp", "sgn-es");
        LocaleEquivalentMaps.singleEquivMap.put("swl", "sgn-se");
        LocaleEquivalentMaps.singleEquivMap.put("taj", "tsf");
        LocaleEquivalentMaps.singleEquivMap.put("tao", "i-tao");
        LocaleEquivalentMaps.singleEquivMap.put("tay", "i-tay");
        LocaleEquivalentMaps.singleEquivMap.put("tdf", "kgc");
        LocaleEquivalentMaps.singleEquivMap.put("thc", "tpo");
        LocaleEquivalentMaps.singleEquivMap.put("tie", "ras");
        LocaleEquivalentMaps.singleEquivMap.put("tkk", "twm");
        LocaleEquivalentMaps.singleEquivMap.put("tlh", "i-klingon");
        LocaleEquivalentMaps.singleEquivMap.put("tlw", "weo");
        LocaleEquivalentMaps.singleEquivMap.put("tmp", "tyj");
        LocaleEquivalentMaps.singleEquivMap.put("tne", "kak");
        LocaleEquivalentMaps.singleEquivMap.put("tpo", "thc");
        LocaleEquivalentMaps.singleEquivMap.put("tsf", "taj");
        LocaleEquivalentMaps.singleEquivMap.put("tsu", "i-tsu");
        LocaleEquivalentMaps.singleEquivMap.put("tvd", "kxe");
        LocaleEquivalentMaps.singleEquivMap.put("twm", "tkk");
        LocaleEquivalentMaps.singleEquivMap.put("tyj", "tmp");
        LocaleEquivalentMaps.singleEquivMap.put("uok", "ema");
        LocaleEquivalentMaps.singleEquivMap.put("vgt", "sgn-be-nl");
        LocaleEquivalentMaps.singleEquivMap.put("waw", "xkh");
        LocaleEquivalentMaps.singleEquivMap.put("weo", "tlw");
        LocaleEquivalentMaps.singleEquivMap.put("wuu", "zh-wuu");
        LocaleEquivalentMaps.singleEquivMap.put("xba", "cax");
        LocaleEquivalentMaps.singleEquivMap.put("xch", "cmk");
        LocaleEquivalentMaps.singleEquivMap.put("xia", "acn");
        LocaleEquivalentMaps.singleEquivMap.put("xkh", "waw");
        LocaleEquivalentMaps.singleEquivMap.put("xny", "nad");
        LocaleEquivalentMaps.singleEquivMap.put("yam", "kwq");
        LocaleEquivalentMaps.singleEquivMap.put("yi", "ji");
        LocaleEquivalentMaps.singleEquivMap.put("yma", "lrr");
        LocaleEquivalentMaps.singleEquivMap.put("ymt", "mtm");
        LocaleEquivalentMaps.singleEquivMap.put("yos", "zom");
        LocaleEquivalentMaps.singleEquivMap.put("yue", "zh-yue");
        LocaleEquivalentMaps.singleEquivMap.put("yug", "yuu");
        LocaleEquivalentMaps.singleEquivMap.put("yuu", "yug");
        LocaleEquivalentMaps.singleEquivMap.put("zh-cmn-hans", "cmn-hans");
        LocaleEquivalentMaps.singleEquivMap.put("zh-cmn-hant", "cmn-hant");
        LocaleEquivalentMaps.singleEquivMap.put("zh-gan", "gan");
        LocaleEquivalentMaps.singleEquivMap.put("zh-min-nan", "nan");
        LocaleEquivalentMaps.singleEquivMap.put("zh-wuu", "wuu");
        LocaleEquivalentMaps.singleEquivMap.put("zh-xiang", "hsn");
        LocaleEquivalentMaps.singleEquivMap.put("zh-yue", "yue");
        LocaleEquivalentMaps.singleEquivMap.put("zom", "yos");
        LocaleEquivalentMaps.multiEquivsMap.put("ccq", new String[] { "rki", "ybd" });
        LocaleEquivalentMaps.multiEquivsMap.put("cmn", new String[] { "zh-guoyu", "zh-cmn" });
        LocaleEquivalentMaps.multiEquivsMap.put("coy", new String[] { "pij", "nts" });
        LocaleEquivalentMaps.multiEquivsMap.put("drw", new String[] { "prs", "tnf" });
        LocaleEquivalentMaps.multiEquivsMap.put("dtp", new String[] { "ktr", "kzj", "kzt", "tdu" });
        LocaleEquivalentMaps.multiEquivsMap.put("gfx", new String[] { "vaj", "mwj", "oun" });
        LocaleEquivalentMaps.multiEquivsMap.put("hak", new String[] { "i-hak", "zh-hakka" });
        LocaleEquivalentMaps.multiEquivsMap.put("i-hak", new String[] { "hak", "zh-hakka" });
        LocaleEquivalentMaps.multiEquivsMap.put("jeg", new String[] { "oyb", "skk", "thx" });
        LocaleEquivalentMaps.multiEquivsMap.put("ktr", new String[] { "dtp", "kzj", "kzt", "tdu" });
        LocaleEquivalentMaps.multiEquivsMap.put("kzj", new String[] { "dtp", "ktr", "kzt", "tdu" });
        LocaleEquivalentMaps.multiEquivsMap.put("kzt", new String[] { "dtp", "ktr", "kzj", "tdu" });
        LocaleEquivalentMaps.multiEquivsMap.put("mry", new String[] { "mst", "myt" });
        LocaleEquivalentMaps.multiEquivsMap.put("mst", new String[] { "mry", "myt" });
        LocaleEquivalentMaps.multiEquivsMap.put("mwj", new String[] { "vaj", "gfx", "oun" });
        LocaleEquivalentMaps.multiEquivsMap.put("myt", new String[] { "mry", "mst" });
        LocaleEquivalentMaps.multiEquivsMap.put("nts", new String[] { "pij", "coy" });
        LocaleEquivalentMaps.multiEquivsMap.put("oun", new String[] { "vaj", "gfx", "mwj" });
        LocaleEquivalentMaps.multiEquivsMap.put("oyb", new String[] { "jeg", "skk", "thx" });
        LocaleEquivalentMaps.multiEquivsMap.put("pij", new String[] { "coy", "nts" });
        LocaleEquivalentMaps.multiEquivsMap.put("prs", new String[] { "drw", "tnf" });
        LocaleEquivalentMaps.multiEquivsMap.put("rki", new String[] { "ccq", "ybd" });
        LocaleEquivalentMaps.multiEquivsMap.put("skk", new String[] { "oyb", "jeg", "thx" });
        LocaleEquivalentMaps.multiEquivsMap.put("tdu", new String[] { "dtp", "ktr", "kzj", "kzt" });
        LocaleEquivalentMaps.multiEquivsMap.put("thx", new String[] { "oyb", "jeg", "skk" });
        LocaleEquivalentMaps.multiEquivsMap.put("tnf", new String[] { "prs", "drw" });
        LocaleEquivalentMaps.multiEquivsMap.put("vaj", new String[] { "gfx", "mwj", "oun" });
        LocaleEquivalentMaps.multiEquivsMap.put("ybd", new String[] { "rki", "ccq" });
        LocaleEquivalentMaps.multiEquivsMap.put("zh-cmn", new String[] { "cmn", "zh-guoyu" });
        LocaleEquivalentMaps.multiEquivsMap.put("zh-guoyu", new String[] { "cmn", "zh-cmn" });
        LocaleEquivalentMaps.multiEquivsMap.put("zh-hakka", new String[] { "hak", "i-hak" });
        LocaleEquivalentMaps.regionVariantEquivMap.put("-alalc97", "-heploc");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-bu", "-mm");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-cd", "-zr");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-dd", "-de");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-de", "-dd");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-fr", "-fx");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-fx", "-fr");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-heploc", "-alalc97");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-mm", "-bu");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-tl", "-tp");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-tp", "-tl");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-yd", "-ye");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-ye", "-yd");
        LocaleEquivalentMaps.regionVariantEquivMap.put("-zr", "-cd");
    }
}
